package api.common.pojo.param.scene;

import api.common.pojo.common.CommonPO;
import api.common.pojo.common.PageVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 人员场景包表。
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SystemScenePackageParam extends  PageVO implements Serializable {
    private String id;              // 主键
    private String packageName;        // 场景包名
    private String sceneDescribe;          // 场景包描述
    private String userName;          // 账号名称
    private String userId;          // 账号id

    private String[] packageNames ; //回显数组


    public String yearMax;//结束时间

    public String yearMin;//开始时间


    /**
     * 记录创建时间
     */
    public Timestamp createTime;
    /**
     * 记录最后更新时间（包括删除）
     */
    public Timestamp modifyTime;
    /**
     * 记录创建人（用户id）
     */
    public String createUserId;
    /**
     * 记录最后更新人（包括删除）（用户id）
     */
    public String modifyUserId;
    /**
     * 是否已删除
     */
    public String isDeleted;
}