package api.common.pojo.po.scene;

import lombok.*;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 标准法规场景
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StandardsRegulationsPO implements Serializable {

    private String regulationsId;              // （唯一）
    private String sceneName;  //场景名称
    private String regulationType;  //法规类型
    private String standardType;  //标准类型
    private String share ; //是否分析  1为分享
    private String videoAddress ; //视频地址
    private String osgbAddress  ;//
    private String xmlAddress ; //
    private String xodrAddress ; //
    private String jsonAddress ; //
    private String videoPreview;//视频预览地址
    private String label;//标签

    private String maxTime ; //该场景仿真最大时长
    /**
     * 记录创建时间
     */
    public Timestamp createTime;
    /**
     * 记录最后更新时间（包括删除）
     */
    public Timestamp modifyTime;
    /**
     * 记录创建人（用户id）
     */
    public String createUserId;
    /**
     * 记录最后更新人（包括删除）（用户id）
     */
    public String modifyUserId;
    /**
     * 是否已删除
     */
    public String isDeleted;












}