package api.common.pojo.po.scene;

import lombok.*;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 三维自车指标替换
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class VehicleTypePO implements Serializable {
    private String vehicleCategory;//车辆类型
    private String model3d;//车辆颜色渲染地址
    private BigDecimal centerX;
    private double centerY=0;
    private BigDecimal centerZ;
    private BigDecimal dimensionsWidth;
    private BigDecimal dimensionsLength;
    private BigDecimal dimensionsHeight;

    private BigDecimal performanceMaxSpeed;
    private BigDecimal performanceMaxDeceleration;
    private String performanceMaxAcceleration="2.5";

    private BigDecimal FrontAxleMaxSteering;
    private BigDecimal FrontAxleWheelDiameter;
    private BigDecimal FrontAxleTrackWidth;
    private BigDecimal FrontAxlePositionX;
    private BigDecimal FrontAxlePositionZ;

    private String RearAxleMaxSteering="0";
    private BigDecimal RearAxleWheelDiameter;
    private BigDecimal RearAxleTrackWidth;
    private BigDecimal RearAxlePositionX;
    private BigDecimal RearAxlePositionZ;




}