package api.common.pojo.vo.project;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 项目详情vo
 */
@Getter
@Setter
public class ProjectDetailsVo {

    //项目id
    private String projectId;

    //项目名称
    private String projectName;

    //项目描述
    private String projectDescribe;

    //开始时间
    private String startTime;

    //完成时间
    private String finishTime;

    //当前运行状态（进度）
    private String nowRunState;

    //当前运行状态（进度）
    private String nowRunStateName;

    //评测等级
    private String evaluationLevel;

    //算法名称
    private String algorithmName;

    //算法描述
    private String algorithmDescribe;

    //车辆名称
    private String vehicleName;

    //车辆描述
    private String vehicleDescribe;

    //车辆图片地址
    private String vehicleTopView;

    //摄像头
    private List<SensorBaseInfoVo> sensorCameraList;

    //完美传感器
    private List<SensorBaseInfoVo> sensorOgtList;

    //激光雷达
    private List<SensorBaseInfoVo> sensorLidarList;

    //毫米波雷达
    private List<SensorBaseInfoVo> sensorRadarList;

    //gps
    private List<SensorBaseInfoVo> sensorGpsList;

    //任务列表信息
    private List<ManualProjectTaskVo> taskList;

    //运行状态统计
    private List<ProjectRunStateNumVo> stateList;

    //运行结果统计
    private List<ProjectRunResultRatioNumVo> resultList;

    //运行得分统计
    private List<ProjectRunResultRatioNumVo> resultScoreList;

    //并行度
    private String parallelism;

    //最大仿真时间
    private Long maxSimulationTime;

    //是否选择gpu
    private String isChoiceGpu;

    //是否生成报告
    private boolean createReport;

    //场景包名
    private String packageName;

    //算法测试得分
    private List<AlgorithmScoreVo> algorithmScoreList;

}
