package api.common.pojo.vo.scene;

import lombok.*;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.List;

/**
 * 泛化模板目标物
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneGeneralTemplateMbVO implements Serializable {

    private String obsStartX ; //目标车初始x坐标
    private String obsStartY ; //目标车初始y坐标
    private String obsStartVelocity;//目标车初始速度
    private String obsLateralAcceleration;//目标物最大横向加速度(m/s²)
    private String obsLongitudinalAcceleration;//目标物最大纵向加速度(m/s²)
    private String obsHeadingAngleRel;//目标物相对自车航向角
    private String obsVelocityStatus;//目标车行驶速度状态
    private String obsTrajectory;//目标车轨迹形态
    private String obsDurationTime;//目标车轨迹持续时间
    private String obsVelocityTime;//目标速度分段持续时间(s)
    private String obsTrailTime;//目标车轨迹形态分段持续时间
    private String generalizationType;//泛化标志位
    private String obsType;//目标物类型



}