package api.common.pojo.vo.scene;

import lombok.*;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.List;

/**
 * 泛化模板
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneGeneralTemplateVO implements Serializable {

    private String id;              // （唯一）
    private String sceneId;//场景编号
    private String scenarioName;  //场景名称
    private String scenarioWeather;  //天气
    private String scenarioTime;  //场景发生时间
    private String scenarioVehicleModel;  //车辆模型
    private String scenarioRoadType;  //道路类型
    private String scenarioRadiusCurvature;  //车道线曲率半径
    private String egoStartX;  //自车初始x坐标
    private String egoStartY;  //自车初始y坐标
    private String egoStartVelocity ; //自车初始速度
    private String egoHeadingAngle ; //自车航向角
    private String egoVelocityStatus ; //自车行驶速度状态
    private String egoTrajectory ; //自车轨迹形态
    private String egoDurationTime ; //自车轨迹持续时间
    private String egoVelocityTime  ;//自车速度分段持续时间
    private String egoTrajectoryTime ; //自车轨迹形态分段持续时间

    private List<SceneGeneralTemplateMbVO> listMb;//目标物集合

    private String generalizationType;//泛化标志位  目标物为空时使用

    private String scenarioResume;//场景简述
    private String sceneDetailedDescription;//场景详细描述
    private String evaluatingIndicator;//评价指标
    private String videoLink;//视频链接
    private String fileName;//文件名或地址
    private String version;//版本号

    private String templateId;//模板id
    private String isTure;//所用模板是否更新，1:该模板不是最新模板




    private List<String> fileNameAll;//sheet页集合


    /**
     * 记录创建时间
     */
    public Timestamp createTime;
    /**
     * 记录最后更新时间（包括删除）
     */
    public Timestamp modifyTime;
    /**
     * 记录创建人（用户id）
     */
    public String createUserId;
    /**
     * 记录最后更新人（包括删除）（用户id）
     */
    public String modifyUserId;
    /**
     * 是否已删除
     */
    public String isDeleted;












}