package com.css.simulation.oauth.client.configuration.oauth;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;


@RefreshScope
@Data
@Component
@ConfigurationProperties(prefix = "oauth")
public class OauthParameter {

    private String zoogooyAppid;
    private String zoogooyAppSecret;
    private String zoogooyAuthorizeUri;
    private String zoogooyRedirectUri;
    private String zoogooyTokenUri;
    private String zoogooyUserUri;
    /**
     * 一期之后
     * 默认密码、令牌刷新时间等，改成可配置，从字典缓存里读
     * 项目启动时直接把字典从 mysql 读到 redis 缓存中
     */
    private String simulationDefaultPassword;
    private String simulationClientId;
    private String simulationClientSecret;
    private String simulationTokenUri;

    private int simulationLoginRepeatCount = 5;
    private int simulationLoginRepeatHours = 24;

    private String simulationZoogooyUserId = "zoogooy";

}
