package com.css.simulation.resource.monitor.controller;

import api.common.pojo.common.ResponseBodyVO;
import com.css.simulation.resource.monitor.scheduler.ProjectScheduler;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;
import java.util.List;

@Controller
@RequestMapping("/projectTask")
public class ProjectTaskCtrl {

    @Resource
    ProjectScheduler projectScheduler;

    @RequestMapping("/init")
    @ResponseBody
    public ResponseBodyVO init(@RequestBody List<ProjectScheduler.ProjectTask> task){
        int count = projectScheduler.init(task);
        return new ResponseBodyVO(ResponseBodyVO.Response.SUCCESS,count);
    }


    @RequestMapping("/start")
    @ResponseBody
    public ResponseBodyVO<String> start(@RequestBody ProjectScheduler.ProjectTask task){
        boolean b = projectScheduler.start(task);
        if(b){
            return new ResponseBodyVO<>(ResponseBodyVO.Response.SUCCESS);
        }
        return new ResponseBodyVO<>(ResponseBodyVO.Response.CLIENT_FAILURE);
    }

    @RequestMapping("/stop")
    @ResponseBody
    public ResponseBodyVO stop(@RequestBody ProjectScheduler.ProjectTask task){
        boolean b = projectScheduler.stop(task);
        if(b){
            return new ResponseBodyVO(ResponseBodyVO.Response.SUCCESS);
        }
        return new ResponseBodyVO(ResponseBodyVO.Response.CLIENT_FAILURE);
    }

    @RequestMapping("/destroy")
    @ResponseBody
    public ResponseBodyVO destroy(){
        projectScheduler.destroy();
        return new ResponseBodyVO(ResponseBodyVO.Response.SUCCESS);
    }
}
