package com.css.simulation.resource.scheduler.controller;


import com.css.simulation.resource.scheduler.service.TaskService;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RefreshScope
@RestController
@RequestMapping("/task")
public class TaskController {

    @Resource
    private TaskService taskService;

    // -------------------------------- Comment --------------------------------

    /**
     * 修改任务状态
     */
    @GetMapping("/state")
    public void taskState(
            @RequestParam("taskId") String taskId,
            @RequestParam("state") String state,
            @RequestParam("podName") String podName
    ) {
        taskService.taskState(taskId, state, podName);
    }

    /**
     * Pod 的心跳接口
     */
    @GetMapping("/tick")
    public void taskTick(@RequestParam("taskId") String taskId) {
        taskService.taskTick(taskId);
    }

    /**
     * 任务执行前调用该接口，确定该任务没有被终止
     */
    @GetMapping("/confirm")
    public Boolean taskConfirm(@RequestParam("taskId") String taskId) {
        return taskService.taskConfirm(taskId);
    }


}
