package com.css.simulation.resource.algorithm.mapper;

import api.common.pojo.po.algorithm.AlgorithmPO;
import api.common.pojo.vo.algorithm.RunningProjectVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import api.common.pojo.vo.algorithm.AlgorithmVO;
import api.common.pojo.param.algorithm.AlgorithmParameter;

import java.util.List;

@Mapper
@Repository
public interface AlgorithmMapper {

    List<AlgorithmVO> selectAlgorithmList(AlgorithmParameter param);

    int add(AlgorithmPO po);

    int update(AlgorithmPO po);

    void deleteById(@Param("algorithmId") String algorithmId);

    AlgorithmPO selectDetailsById(@Param("algorithmId") String algorithmId);

    @Select("        select a.is_deleted\n" +
            "        from `algorithm` a \n" +
            "        where a.id = #{algorithmId,jdbcType=VARCHAR}")
    String selectIsDeletedById(@Param("algorithmId") String algorithmId);

    @Select("select a.algorithm_name \n" +
            "from `algorithm` a \n" +
            "where is_deleted = '1'\n" +
            " and a.id = #{algorithmId,jdbcType=VARCHAR}")
    String selectDeletedById(@Param("algorithmId") String algorithmId);

    List<AlgorithmPO> selectAlgorithmName(AlgorithmParameter param);

    List<AlgorithmPO> selectSharedAlgorithmName(@Param("algorithmName") String algorithmName);

    List<RunningProjectVO> selectRunningProject(@Param("id") String id);

    List<RunningProjectVO> selectRunningProjectParent(@Param("id") String id);

    List<RunningProjectVO> selectAutoProjectIdByAlgorithmId(@Param("algorithmId") String algorithmId);



    List<AlgorithmVO> selectSharedAlgorithmList(AlgorithmParameter param);

    int  selectDetailsBySy(AlgorithmParameter param);

    String selectAlgorithmNameByAlgorithmId(@Param("algorithmId") String algorithmId);
}
