package com.css.simulation.resource.common.demo.service;

import api.common.pojo.constants.DictConstants;
import api.common.pojo.param.demo.TestPageParam;
import api.common.pojo.vo.demo.TestVO;
import com.css.simulation.resource.common.demo.mapper.TestMapper;
import com.css.simulation.resource.common.utils.PageUtil;
import com.css.simulation.resource.system.service.DictService;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class TestService {

    @Autowired
    TestMapper testMapper;

    @Autowired
    DictService dictService;

    public PageInfo<TestVO> getTestPageList(TestPageParam params) {
        PageUtil.setPageInfo(params);
        //params.setCreateUserId(AuthUtil.getCurrentUserId());
        List<TestVO> list = testMapper.getTestPageList(params);
        //字典翻译
        //Map<String, Map<String, String>> dictMapsByTypes = dictService.getDictMapsByTypes(DictConstants.LEVEL + "," + DictConstants.DRIVE_TYPE);
        Map<String, Map<String, String>> dictMapsByTypes = dictService.getDictMapsByTypes(DictConstants.LEVEL,DictConstants.DRIVE_TYPE);
        list.forEach(testVO ->{
            testVO.setLevel_name(dictMapsByTypes.get(DictConstants.LEVEL).get(testVO.getLevel()));
        });
        return new PageInfo<>(list);
    }
}
