package com.css.simulation.resource.feign;

import api.common.pojo.common.ResponseBodyVO;
import com.css.simulation.resource.common.configuration.FeignConfiguration;
import com.css.simulation.resource.feign.fallback.AlgoPlatformServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


//@FeignClient(name = "test", url = "http://10.15.12.87:8001",path = "/simulation/resource/common", fallback = AlgoPlatformServiceFallback.class, configuration = FeignConfiguration.class)
@FeignClient(
        contextId = "algoPlatform",
        value = "simulation-resource-common",
        path = "/simulation/resource/common",
        fallback = AlgoPlatformServiceFallback.class,
        configuration = FeignConfiguration.class
)
public interface AlgoPlatformService {

    @PostMapping(value = "/algPlatform/getAlgorithmList")
    ResponseBodyVO getAlgorithmList(@RequestBody String param);

    @PostMapping(value = "/algPlatform/selectAlgorithmNameByAlgorithmId")
    ResponseBodyVO<String> selectAlgorithmNameByAlgorithmId(@RequestBody String algorithmId);



}