package com.css.simulation.resource.project.mapper;

import api.common.pojo.param.algorithm.AlgorithmParameter;
import api.common.pojo.param.project.SimulationManualProjectParam;
import api.common.pojo.po.project.*;
import api.common.pojo.vo.project.*;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SimulationAutomaticProjectMapper {


     SimulationAutomaticProjectPo selectById(String id);

     List<SimulationAutomaticProjectPo> selectAutomaticProjectByQuery(SimulationManualProjectParam param);

     SimulationAutomaticProjectPo selectLastProjectId(Integer nowRq);

     List<SimulationManualProjectVo> selectAutomaticProjectList(SimulationManualProjectParam param);

     int add(SimulationAutomaticProjectPo po);

     int updateById(SimulationAutomaticProjectPo po);

     List<SimulationAutomaticProjectPo> selectProjectNowRunState(String[] ids);

     int deleteProject(String[] ids);

     int updateAutomaticRunState(SimulationManualProjectParam param);

     AutomaticProjectVo selectAutomaticProjectInfoById(String id);

     int updateAlgorithmGitVersion(AlgorithmParameter algorithmParameter);

     int updateAutomaticRunTimes(SimulationAutomaticProjectPo po);


}
