package com.css.simulation.resource.project.mapper;

import api.common.pojo.param.project.SimulationManualProjectParam;
import api.common.pojo.po.project.SimulationAutomaticSubProjectPo;
import api.common.pojo.vo.project.SimulationManualProjectVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SimulationAutomaticSubProjectMapper {

     SimulationAutomaticSubProjectPo selectById(SimulationManualProjectParam param);

     @Select("        select p.scene\n" +
             "        from simulation_automatic_subproject s\n" +
             "                 left join simulation_automatic_project p on s.parent_id = p.id\n" +
             "        where s.id = #{id}")
     String selectSceneById(@Param("id") String id);

     SimulationAutomaticSubProjectPo selectLastProjectId(String id);

     int addAutomaticSubProject(SimulationAutomaticSubProjectPo po);

     List<SimulationAutomaticSubProjectPo> selectProjectNowRunState(String[] ids);

     int deleteProject(String[] ids);

     List<SimulationManualProjectVo> selectList(SimulationManualProjectParam param);



     SimulationManualProjectVo selectProjectInfo(SimulationManualProjectParam param);

     int updateNowRunState(SimulationManualProjectParam param);


}
