package com.css.simulation.resource.scene.mapper;

import api.common.pojo.param.scene.SceneAccidentParam;
import api.common.pojo.po.scene.SceneAccidentPO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import java.util.List;

@Mapper
@Repository
public interface SceneAccidentMapper {

    void saveSceneAccident(SceneAccidentPO params);

    void saveSceneAccidentList(List<SceneAccidentPO> list);

    List<SceneAccidentPO> querySceneAccidentList(SceneAccidentParam params);
    List<SceneAccidentPO> querySceneAccidentListByQx(SceneAccidentParam params);
    List<SceneAccidentPO> querySceneAccidentListByXlk(SceneAccidentParam params);
    List<SceneAccidentPO> querySceneAccidentListByBq(SceneAccidentParam params);
    List<SceneAccidentPO> querySceneAccidentListByBqAndQx(SceneAccidentParam params);

    void deleteSceneAccidentList(SceneAccidentPO params);

    SceneAccidentPO querySceneAccidentByNmae(SceneAccidentPO sceneAccidentPO);
    void updateSceneAccident(SceneAccidentPO params);
    void updateSceneAccidentList(List<SceneAccidentPO> list);
    SceneAccidentPO querySceneAccidentById(String id);

    @Select("select accident_id\n" +
            "from scene_accident\n" +
            "where scene_name = #{sceneName}")
    List<String> selectIdByName(@Param("sceneName") String sceneName);

    @Delete("update scene_accident\n" +
            "set is_deleted  = '1',\n" +
            "    modify_time = now(),\n" +
            "    modify_user_id = #{modifyUserId} \n" +
            "where scene_name = #{sceneName}")
    void deleteByName(@Param("sceneName") String sceneName, @Param("modifyUserId") String modifyUserId);
}
