package com.css.simulation.resource.scene.mapper;

import api.common.pojo.param.scene.SceneNaturalParam;
import api.common.pojo.po.scene.SceneNaturalPO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Mapper
@Repository
public interface SceneNaturalMapper {

    void saveSceneNatural(SceneNaturalPO params);

    void saveSceneNaturalList(List<SceneNaturalPO> list);

    List<SceneNaturalPO> querySceneNaturalList(SceneNaturalParam params);

    List<SceneNaturalPO> querySceneNaturalListByBqAndXlk(Map<String, SceneNaturalParam> map);

    List<SceneNaturalPO> querySceneNaturalListByBq(Map<String, SceneNaturalParam> map);

    void deleteSceneNatural(SceneNaturalPO params);

    SceneNaturalPO querySceneNaturaByName(SceneNaturalPO sceneNaturalPO);

    Integer querySceneNumBySy(SceneNaturalParam params);

    void updateSceneNatural(SceneNaturalPO params);

    void updateSceneNaturalList(List<SceneNaturalPO> list);

    List<SceneNaturalPO> querySceneNaturalListByQx(SceneNaturalParam params);

    List<SceneNaturalPO> querySceneNaturalListByBqAndXlkAndQx(Map<String, SceneNaturalParam> map);

    List<SceneNaturalPO> querySceneNaturalListByBqAndQx(Map<String, SceneNaturalParam> map);

    SceneNaturalPO querySceneNaturalById(String id);

    @Select("select natural_id\n" +
            "from scene_natural\n" +
            "where natural_name = #{sceneName}")
    List<String> selectIdByName(@Param("sceneName") String sceneName);

    @Delete("update scene_natural\n" +
            "set is_deleted  = '1',\n" +
            "    modify_time = now(),\n" +
            "    modify_user_id = #{modifyUserId}\n" +
            "where natural_name = #{sceneName}")
    void deleteByName(@Param("sceneName") String sceneName, @Param("modifyUserId") String modifyUserId);
}
