package com.css.simulation.resource.scene.mapper;

import api.common.pojo.param.scene.StandardsRegulationsParam;
import api.common.pojo.po.scene.StandardsRegulationsPO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;


@Mapper
@Repository
public interface StandardsRegulationsMapper {

    void saveStandardsRegulations(StandardsRegulationsPO params);
    void saveStandardsRegulationsList(List<StandardsRegulationsPO> list);

    List<StandardsRegulationsPO> queryStandardsRegulationsList(StandardsRegulationsParam params);
    List<StandardsRegulationsPO> queryStandardsRegulationsListByBq(StandardsRegulationsParam params);

    void deleteStandardsRegulations(StandardsRegulationsPO params);

    StandardsRegulationsPO queryStandardsRegulationsByName(StandardsRegulationsPO standardsRegulationsPO);

    void updateStandardsRegulations(StandardsRegulationsPO params);
    void updateStandardsRegulationsList(List<StandardsRegulationsPO> list);

    List<StandardsRegulationsPO> queryStandardsRegulationsListByQx(StandardsRegulationsParam params);
    List<StandardsRegulationsPO> queryStandardsRegulationsListByBqAndQx(StandardsRegulationsParam params);

    List<String> queryRegulationType(String userId);

    StandardsRegulationsPO queryStandardsRegulationsById(String id);

    @Select("select regulations_id\n" +
            "from scene_standards_regulations\n" +
            "where scene_name = #{sceneName}")
    List<String> selectIdByName(@Param("sceneName") String sceneName);

    @Delete("update scene_standards_regulations\n" +
            "set is_deleted  = '1',\n" +
            "    modify_time = now(),\n" +
            "    modify_user_id = #{modifyUserId} \n" +
            "where scene_name = #{sceneName}")
    void deleteByName(@Param("sceneName") String sceneName, @Param("modifyUserId") String modifyUserId);
}
