package com.css.simulation.resource.scene.mapper;

import api.common.pojo.po.scene.SystemScenePackageSublistPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SystemScenePackageSublistMapper {

    void saveSystemScenePackageSublist(List<SystemScenePackageSublistPO> list);
    List<String> querySceneStandardsRegulationsList(SystemScenePackageSublistPO po);
    List<String> querySceneNaturalList(SystemScenePackageSublistPO po);
    List<String> querySceneAccidentList(SystemScenePackageSublistPO po);
    List<String> querySceneGeneralTemplateList(SystemScenePackageSublistPO po);

    void deleteSystemScenePackageSublist(SystemScenePackageSublistPO po);

    void deleteSystemScenePackageSublistBySC(SystemScenePackageSublistPO po);

    @Update("update system_scene_package_sublist\n" +
            "set is_deleted  = '1',\n" +
            "    modify_time = now()\n" +
            "where scene_name = #{sceneName}")
    void deleteBySceneName(@Param("sceneName") String sceneName);
}
