package com.css.simulation.resource.system.mapper;

import api.common.pojo.param.system.SceneImportPageParam;
import api.common.pojo.po.system.SceneImportPO;
import org.apache.ibatis.annotations.*;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SceneImportMapper {

    List<SceneImportPO> getSceneImporPagetList(SceneImportPageParam po);

    List<SceneImportPO> checkName(SceneImportPO po);

    void insert(SceneImportPO po);

    void update(SceneImportPO po);

    void updateStatus(SceneImportPO po);

    void updateInfo(SceneImportPO po);

    SceneImportPO querySceneImportByTaskId(String id);

    void deleteImportTask(SceneImportPO po);

    @Update("update scene_natural\n" +
            "set is_deleted = '1',\n" +
            "    modify_user_id = #{po.modifyUserId},\n" +
            "    modify_time = #{po.modifyTime}\n" +
            "where natural_name in (select scene_names\n" +
            "                       from scene_import_task\n" +
            "                       where id = #{po.id}\n" +
            ")")
    void deleteNaturalByTaskId(@Param("po") SceneImportPO sceneImportPO);

    @Update("update scene_standards_regulations\n" +
            "set is_deleted = '1',\n" +
            "    modify_user_id = #{po.modifyUserId},\n" +
            "    modify_time = #{po.modifyTime}\n" +
            "where scene_name in (select scene_names\n" +
            "                       from scene_import_task\n" +
            "                       where id = #{po.id}\n" +
            ")")
    void deleteStandardsByTaskId(@Param("po") SceneImportPO sceneImportPO);

    @Update("update scene_accident\n" +
            "set is_deleted = '1',\n" +
            "    modify_user_id = #{po.modifyUserId},\n" +
            "    modify_time = #{po.modifyTime}\n" +
            "where scene_name in (select scene_names\n" +
            "                       from scene_import_task\n" +
            "                       where id = #{po.id}\n" +
            ")")
    void deleteAccidentByTaskId(@Param("po") SceneImportPO sceneImportPO);

}
